no update for deluge plug-in?

  • Hi guys,
    I'm the only one here that likes deluge?
    I tryed it, but it hasn't been updated sins 2 years! (the plug in use deluge 1.3.10)
    There no hope to see the plug updated to the latest 1.3.13?

    Intel G4400 - Asrock H170M Pro4S - 8GB ram - Be Quiet Pure Power 11 400 CM - Nanoxia Deep Silence 4 - 6TB Seagate Ironwolf - RAIDZ1 3x10TB WD - OMV 5 - Proxmox Kernel

  • There no hope to see the plug updated to the latest 1.3.13?

    The old plugin used a ubuntu ppa repo, since we move to jessie we use debian repo now I think which was the same version or close to it when it was updated. You can grab the debs probably from ubuntu and go to latest.

  • how does this works? I mean, it's not hard to install the latest .deb for debian (you can download them from here: https://packages.debian.org/se…hon=names&keywords=deluge )
    but how does that work with the webgui of OMV? will it still be integrated?
    (apparently, deluge 1.3.13 is still only for windows, but deluge 12-1 is still avaible)

    Intel G4400 - Asrock H170M Pro4S - 8GB ram - Be Quiet Pure Power 11 400 CM - Nanoxia Deep Silence 4 - 6TB Seagate Ironwolf - RAIDZ1 3x10TB WD - OMV 5 - Proxmox Kernel

  • Although I didn't test it
    I'm sure it will work for now because dependencies for deluged and deulge-web are all equal now
    but I don't think it is good practice installing deb directly since it is not upgradable and you manually check and manage before install it
    so consider installing from ubuntu ppa which is corresponding to debian jessie

    OMV3 on Proxmox
    Intel E3-1245 v5 | 32GB ECC RAM | 4x3TB RAID10 HDD
    omv-zfs | omv-nginx | omv-letsencrypt | omv-openvpn
    Click link for more details

  • it's a pity. Deluge is really a great torrent client, and the webui is by far better than trasmins's one!

    Intel G4400 - Asrock H170M Pro4S - 8GB ram - Be Quiet Pure Power 11 400 CM - Nanoxia Deep Silence 4 - 6TB Seagate Ironwolf - RAIDZ1 3x10TB WD - OMV 5 - Proxmox Kernel

  • That ppa was used in the old plugin of deluge in version 2.0 of omv i think. Xenial versions should be ok to install since they use systemd.
    You can grab them manually and install using dpkg, or add the ppa.


    The maintainer of the deluge plugin hasn't been here lately so i doubt he has time to update it.

  • Ok thanks :) there is so much work to do for make a plug in? :(
    BTW I tried to add the ppa, but when I use apt-get update, it give me this error:
    W: Failed to fetch http://ppa.launchpad.net/delug…ain/binary-amd64/Packages 404 Not Found
    How can I tell him to search into on this folder?
    lucid/21-Jul-2016 22:15 -
    maverick/21-Jul-2016 22:15 -
    natty/21-Jul-2016 22:15 -
    oneiric/21-Jul-2016 22:15 -
    precise/21-Jul-2016 22:15 -
    trusty/21-Jul-2016 22:15 -
    utopic/21-Jul-2016 22:15 -
    wily/21-Jul-2016 11:55 -
    xenial/21-Jul-2016 11:55 -
    yakkety/21-Jul-2016 13:23 -

    Intel G4400 - Asrock H170M Pro4S - 8GB ram - Be Quiet Pure Power 11 400 CM - Nanoxia Deep Silence 4 - 6TB Seagate Ironwolf - RAIDZ1 3x10TB WD - OMV 5 - Proxmox Kernel

    Edited once, last by Blabla ().

  • I may have missed something but there is a plugin already for OMV 3.



    I'm using deluge in OMV 3.x and it works well
    what do you think it should updated?

    I tryed it, but it hasn't been updated sins 2 years! (the plug in use deluge 1.3.10)
    There no hope to see the plug updated to the latest 1.3.13?

    My VM machine is playing up right so can't confirm but I did think the OMV 3 version did install 1.3.13


    What omv version are you running? have you checked the update manager to see if there is an upgrade for Deluge?

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • update manager is clean :(
    If you open the connection manager it tells you that you're using the 1.13.10

    Intel G4400 - Asrock H170M Pro4S - 8GB ram - Be Quiet Pure Power 11 400 CM - Nanoxia Deep Silence 4 - 6TB Seagate Ironwolf - RAIDZ1 3x10TB WD - OMV 5 - Proxmox Kernel

  • All the repos that OMV uses do not have deluge above 1.13.10 :(


    You need to go to the OMV-Extras plugin and add a repo with the following info



    Code
    Name: Deluge
    Comment: Deluge
    Repo: http://ppa.launchpad.net/deluge-team/ppa/ubuntu precise main
    Key: 8EED8FB4A8E6DA6DFDF0192BC5E6A5ED249AD24C
    Priority: 997

    I left everything else blank, Enable the repo and click save. It should ask you to apply, once that is done you should be able to see the new version of deluge in the update manager.
    Once deluge gets updated you will need to restart deluge for the new version to run.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!